import { Component, Input } from '@angular/core';
import { Leg } from '@app/shared/models-legacy';
import { DispatchType } from '@typings/enums';
import { IFlightTransition } from '@typings/flight/flight-transition';

@Component({
    selector: 'flight-details-row-boarding',
    templateUrl: './flight-details-row-boarding.component.html',
    styleUrls: ['./flight-details-row-boarding.component.scss'],
})
export class FlightDetailsRowBoardingComponent {
    @Input() leg: Leg;

    get boarding() {
        return this.leg?.transition?.boarding as any as IFlightTransition;
    }

    get dispatch() {
        return this.leg?.departure?.dispatch as any as DispatchType;
    }
}
